# Instructions
## CONSTANTS
Some values are defined as constants (not actually so, Python being Python)
to allow them to be used by every function without the need to specify their
values each time. The constants are:

E = 206x10^9 *Young's modulus of steel, in Pa*
rho = 7850 *Steel density, in kg/m3*
fk = 200*10^6 *Steel resistance, in N/m2*

## 1 TIE-ROD DICTIONARY
A tie-rod is understood by the program to be a dictionary of its properties.
The standard entries of such dictionary are:

my_tierod = {
'id' : *identifier of the tie-rod*,
'length': *tie-rod length [m]*,
'area': *cross-sectional area [m^2]*,
'inertia': *cross-sectional inertia [m^4]*,
'load': *tie-rod axial load [N]*,
'k1': *left-side constraint relative stiffness*,
'k2': *right-side constraint relative stiffness*,
'freq': *either measured or calculated frequencies*
}


# Licensing
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public Licence v3.0 as published by
the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public Licence for more details.

You should have received a copy of the GNU General Public Licence
along with this program.  If not, see <https://www.gnu.org/licenses/>.
